## ApplyAction

### Introduced

v1.0

### Description

Takes a source (an ActionSource), and applies it back to the referenced objects without going through the Mixer. For static values (static pose actions), it sets the current value of the corresponding parameters. For fcurve actions, it copies the fcurves and connects them as sources for the corresponding parameters.
Note: Only models can be used with this command.

### Scripting Syntax

    ApplyAction( Source, [Target], [Consider Time], [StartFrame], [EndFrame], [Ripple], [RemoveLayerAnimation] );

### Parameters

Parameter | Type | Description
--- | --- | ---
Source | String | The Action to apply. Default Value: Current Selection (first element)
Target | String | The target model to apply the Action to (if different than the model the source is associated with). Default Value: Current Selection (second element)
Consider Time | Boolean | Whether to use the given start/end time and ripple flag to allow pasting of keys. Default Value: False
StartFrame | Double | Frame to start pasting to. Only used if "ConsiderTime" is true.
EndFrame | Double | Frame to end pasting to. Keys within the Action's in/out time will be stretched to fit within the specified start/end region. Only used if "ConsiderTime" is true.
Ripple | Boolean | Whether to ripple when pasting keys. Only used if "ConsiderTime" is true. Default Value: False
RemoveLayerAnimation | Boolean | Remove layer animation when applying the action. Default Value: False

### See Also

AddBridgeTransition